Retail Express API 2.1

Gets specific Return Reason by unique id

Gets specific Return Reason by unique id

get
https://api.retailexpress.com.au/v2.1/returnreasons/{id}

Path Parameters

idinteger(int32)required

Return Reason id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Return Reason

ReturnReason

Return Reason Model

* Additional properties are NOT allowed.
idinteger(int32)

Return Reason Id.

namestring | null

Return Reason name

enabledboolean

Return Reason enabled flag

created_onstring(date-time)

Return Reason creation date and time

modified_onstring(date-time)

Return Reason modification date and time

get/returnreasons/{id}
 
application/json

shipmenttypes

Searches Shipment Types by parameters

Searches Shipment Types by parameters

get
https://api.retailexpress.com.au/v2.1/shipmenttypes

Query Parameters

namestring | null

Name

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Shipment Types data

ShipmentType.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Shipment Type model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/shipmenttypes
 
application/json

Creates Shipment Type

Sample request:

 POST /shipmenttypes
  {
      "name": "AIR EXPRESS"
  }
post
https://api.retailexpress.com.au/v2.1/shipmenttypes

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Shipment Type to be created

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Shipment Type created

ShipmentType

Shipment Type model

* Additional properties are NOT allowed.
idinteger | null(int32)

Identifier

namestring | null

name

>= 0 characters<= 50 characters

post/shipmenttypes

Body

{}
 
application/json

Gets Shipment Type by id

Gets Shipment Type by id

get
https://api.retailexpress.com.au/v2.1/shipmenttypes/{id}

Path Parameters

idinteger(int32)required

Gets Shipment Type by id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Shipment Type

ShipmentType

Shipment Type model

* Additional properties are NOT allowed.
idinteger | null(int32)

Identifier

namestring | null

name

>= 0 characters<= 50 characters

get/shipmenttypes/{id}
 
application/json